[Python-bugs-list] [ python-Bugs-493959 ] 2.2c1 configure bug

noreply@sourceforge.net noreply@sourceforge.net
Wed, 19 Dec 2001 01:25:12 -0800


Bugs item #493959, was opened at 2001-12-16 12:21
You can respond by visiting: 
http://sourceforge.net/tracker/?func=detail&atid=105470&aid=493959&group_id=5470

Category: Installation
Group: Python 2.2
>Status: Closed
Resolution: None
Priority: 8
Submitted By: Jeff Whitaker (jswhit)
Assigned to: Jack Jansen (jackjansen)
Summary: 2.2c1 configure bug

Initial Comment:
Hi:  Found a small bug in the configure script for 
2.2c1 that manifests
itself on case-insensitive filesystems (like HFS+) 
when
--with-suffix=<suffix> is given, and <suffix> is not 
set to ".exe". EXEEXT
is set to <suffix> (in my case "x") and 
BUILDEXEEXT is set to ".exe",
leading to the following error during the install:


/usr/bin/install -c python.exe
/sw/src/root-python-unstable-2.2c1-1/sw/bin/
python2.2x
if test -f libpython2.2.so; then \
        /usr/bin/install -c -m 644 libpython2.2.so
/sw/src/root-python-unstable-2.2c1-1/sw/lib; \
else    true; \
fi
if test -f ""; then \
        /usr/bin/install -c -m 555
/sw/src/root-python-unstable-2.2c1-1/sw/bin; \
else    true; \
fi
mkdir ./Lib/plat-darwin
cp ./Lib/plat-generic/regen ./Lib/plat-darwin/regen
export PATH; PATH="`pwd`:$PATH"; \
export PYTHONPATH; PYTHONPATH="`pwd`/Lib"; \
export DYLD_FRAMEWORK_PATH; 
DYLD_FRAMEWORK_PATH="`pwd`"; \
export EXE; EXE="x"; \
cd ./Lib/plat-darwin; ./regen
python$EXE ../../Tools/scripts/h2py.py -i '(u_long)'
/usr/include/netinet/in.h
Traceback (most recent call last):
  File "../../Tools/scripts/h2py.py", line 24, in ?
    import sys, re, getopt, os
  File "/sw/src/python-unstable-2.2c1-1/Python-
2.2c1/Lib/re.py", line 27,
in ?
    from sre import *
  File "/sw/src/python-unstable-2.2c1-1/Python-
2.2c1/Lib/sre.py", line 97,
in ?
    import sre_compile
  File "/sw/src/python-unstable-2.2c1-1/Python-
2.2c1/Lib/sre_compile.py",
line 17, in ?
    assert _sre.MAGIC == MAGIC, "SRE module 
mismatch"
AssertionError: SRE module mismatch
make: *** [Lib/plat-darwin] Error 1
### make failed, exit code 2
Failed: installing python-unstable-2.2c1-1 failed

The only way to make it build correctly is to use --
with-suffix=.exe,
leaving --with-suffix out entirely doesn't work since 
EXEEXT is then null,
and BUILDEXEEXT is still .exe.  Seems like 
BUILDEXEEXT and EXEEXT need to
be the same.

-Jeff



----------------------------------------------------------------------

>Comment By: Jack Jansen (jackjansen)
Date: 2001-12-19 01:25

Message:
Logged In: YES 
user_id=45365

Fixed in the repository, Makefile.pre.in rev. 1.73.

----------------------------------------------------------------------

You can respond by visiting: 
http://sourceforge.net/tracker/?func=detail&atid=105470&aid=493959&group_id=5470